Irrlicht Engine: irr::video::S3DVertex2TCoords Struct Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::video::S3DVertex2TCoords Struct Reference

Vertex with two texture coordinates. More...

`#include <S3DVertex.h>`

Inheritance diagram for irr::video::S3DVertex2TCoords:

List of all members.

## Public Member Functions
E_VERTEX_TYPE | getType () const
bool | operator!= (const S3DVertex2TCoords &other) const
| Inequality operator.
bool | operator< (const S3DVertex2TCoords &other) const
bool | operator== (const S3DVertex2TCoords &other) const
| Equality operator.
| S3DVertex2TCoords (S3DVertex &o)
| constructor from S3DVertex
| S3DVertex2TCoords (const core::vector3df &pos, const core::vector3df &normal, SColor color, const core::vector2d< f32 > &tcoords)
| constructor with the same texture coords and normal
| S3DVertex2TCoords (f32 x, f32 y, f32 z, f32 nx, f32 ny, f32 nz, SColor c, f32 tu, f32 tv)
| constructor with the same texture coords and normal
| S3DVertex2TCoords (f32 x, f32 y, f32 z, f32 nx, f32 ny, f32 nz, SColor c, f32 tu, f32 tv, f32 tu2, f32 tv2)
| constructor with all values
| S3DVertex2TCoords (const core::vector3df &pos, const core::vector3df &normal, const SColor &color, const core::vector2d< f32 > &tcoords, const core::vector2d< f32 > &tcoords2)
| constructor with all values
| S3DVertex2TCoords (const core::vector3df &pos, SColor color, const core::vector2d< f32 > &tcoords, const core::vector2d< f32 > &tcoords2)
| constructor with two different texture coords, but no normal
| S3DVertex2TCoords (f32 x, f32 y, f32 z, SColor c, f32 tu, f32 tv, f32 tu2, f32 tv2)
| constructor with two different texture coords, but no normal
| S3DVertex2TCoords ()
| default constructor
## Public Attributes
core::vector2d< f32 > | TCoords2
| Second set of texture coordinates.

## Detailed Description

Vertex with two texture coordinates.

Usually used for geometry with lightmaps or other special materials.

Definition at line 99 of file S3DVertex.h.

## Constructor & Destructor Documentation

irr::video::S3DVertex2TCoords::S3DVertex2TCoords | ( |  | ) | `[inline]`

default constructor

Definition at line 102 of file S3DVertex.h.

irr::video::S3DVertex2TCoords::S3DVertex2TCoords | ( | f32 | x,
|  | f32 | y,
|  | f32 | z,
|  | SColor | c,
|  | f32 | tu,
|  | f32 | tv,
|  | f32 | tu2,
|  | f32 | tv2 |
| ) |  |  | `[inline]`

constructor with two different texture coords, but no normal

Definition at line 105 of file S3DVertex.h.

irr::video::S3DVertex2TCoords::S3DVertex2TCoords | ( | const core::vector3df & | pos,
|  | SColor | color,
|  | const core::vector2d< f32 > & | tcoords,
|  | const core::vector2d< f32 > & | tcoords2 |
| ) |  |  | `[inline]`

constructor with two different texture coords, but no normal

Definition at line 109 of file S3DVertex.h.

irr::video::S3DVertex2TCoords::S3DVertex2TCoords | ( | const core::vector3df & | pos,
|  | const core::vector3df & | normal,
|  | const SColor & | color,
|  | const core::vector2d< f32 > & | tcoords,
|  | const core::vector2d< f32 > & | tcoords2 |
| ) |  |  | `[inline]`

constructor with all values

Definition at line 114 of file S3DVertex.h.

irr::video::S3DVertex2TCoords::S3DVertex2TCoords | ( | f32 | x,
|  | f32 | y,
|  | f32 | z,
|  | f32 | nx,
|  | f32 | ny,
|  | f32 | nz,
|  | SColor | c,
|  | f32 | tu,
|  | f32 | tv,
|  | f32 | tu2,
|  | f32 | tv2 |
| ) |  |  | `[inline]`

constructor with all values

Definition at line 119 of file S3DVertex.h.

irr::video::S3DVertex2TCoords::S3DVertex2TCoords | ( | f32 | x,
|  | f32 | y,
|  | f32 | z,
|  | f32 | nx,
|  | f32 | ny,
|  | f32 | nz,
|  | SColor | c,
|  | f32 | tu,
|  | f32 | tv |
| ) |  |  | `[inline]`

constructor with the same texture coords and normal

Definition at line 123 of file S3DVertex.h.

irr::video::S3DVertex2TCoords::S3DVertex2TCoords | ( | const core::vector3df & | pos,
|  | const core::vector3df & | normal,
|  | SColor | color,
|  | const core::vector2d< f32 > & | tcoords |
| ) |  |  | `[inline]`

constructor with the same texture coords and normal

Definition at line 127 of file S3DVertex.h.

irr::video::S3DVertex2TCoords::S3DVertex2TCoords | ( | S3DVertex & | o | ) | `[inline]`

constructor from S3DVertex

Definition at line 132 of file S3DVertex.h.

## Member Function Documentation

E_VERTEX_TYPE irr::video::S3DVertex2TCoords::getType | ( |  | ) | const`[inline]`

Reimplemented from irr::video::S3DVertex.

Definition at line 157 of file S3DVertex.h.

References irr::video::EVT_2TCOORDS.

bool irr::video::S3DVertex2TCoords::operator!= | ( | const S3DVertex2TCoords & | other | ) | const`[inline]`

Inequality operator.

Definition at line 145 of file S3DVertex.h.

References TCoords2.

bool irr::video::S3DVertex2TCoords::operator< | ( | const S3DVertex2TCoords & | other | ) | const`[inline]`

Definition at line 151 of file S3DVertex.h.

References TCoords2.

bool irr::video::S3DVertex2TCoords::operator== | ( | const S3DVertex2TCoords & | other | ) | const`[inline]`

Equality operator.

Definition at line 138 of file S3DVertex.h.

References TCoords2.

## Member Data Documentation

core::vector2d<f32> irr::video::S3DVertex2TCoords::TCoords2

Second set of texture coordinates.

Definition at line 135 of file S3DVertex.h.

Referenced by operator!=(), irr::scene::SVertexTCoordsScaleManipulator::operator()(), operator<(), and operator==().

The documentation for this struct was generated from the following file:

- S3DVertex.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:10 2010 by Doxygen (1.6.2)